Overwriting and suppressing interwiki links also for Wiktionary?
Closed, ResolvedPublic

Description

Wikidata provides interwiki links for Wikipedia and other Wikimedia projects for quite some time now. For various reasons sometimes editors on Wikipedia do not want any interwiki links from Wikidata but instead do one of the following:

  • suppress any interwiki link from showing up (They can do this with the NOEXTERNALLANGLINKS magic word.)
  • overwrite the interwiki links coming from Wikidata with their own local interwiki links (They can do this by simply adding them to the local wikitext and then whatever comes from Wikidata is overwritten.)

Now we are going to automate interwiki links for Wiktionary. An open questions is if we need something similar for Wiktionary or not. Input from Wiktionary people would be very helpful.

JAnD added a comment.EditedOct 12 2016, 6:48 PM

There is one problem with proverbs.
e.g. Czech wiktionary has proverbs as sentence
[[cs:Bez práce nejsou koláče.]]
but english wiktionary have
[[en:bez práce nejsou koláče]].
Both are the same, but current strict interwiki linking does not allow to connect them togedher automatically, overwriting should be solution

Will it be all interwiki links, including for Example translations section, or only mostly identical lexemes (or any other identification unit set)?

Will it be all interwiki links, including for Example translations section, or only mostly identical lexemes (or any other identification unit set)?

Can you show me an example of a translation section?

mxn added a comment.Oct 19 2016, 3:20 PM

Will it be all interwiki links, including for Example translations section, or only mostly identical lexemes (or any other identification unit set)?

Can you show me an example of a translation section?

See the little parenthetical links in the "Translations" section here. These are inline interwiki links, so they should be unaffected, just as you can still insert interwiki links inline at Wikipedia without worrying about Wikidata.

@mxn Thank you!
@Addshore Can you have a look?

What I understand is that this first phase will "only" be a page name correspondence. So I guess that the answer to my question should be no.

Indeed, translation entries require more work on the structured data, as it will require at least a "context" attribute which provides to specify in which situation the translation holds.

Also, I'm not completely sure that such a translation correspondence is transitive, that is, if in a given context if we have

  • language 0, 1, 2
  • lexemes L₀, L₁, L₂
  • L₀ is translatable to L₁ for a given context identifier
  • L₁ is translatable to L₂ in the same context identifier

Then do we always have L₀ which can be translated to L₂ for he same context identifier? I must admit that I lake expertise on this.

Of course it already depends on where to you put your cursor between Traduttore, traditore and "I love neologistic loanwords soooooo much!". :)

Nikki added a comment.Oct 20 2016, 9:10 AM

As I understand it, "interwiki links" here only refers to the links in the sidebar (the bit which Wikidata already handles for most other projects). Links to other wikis in the actual page content (such as the examples sections) should not be affected.

As I understand it, "interwiki links" here only refers to the links in the sidebar (the bit which Wikidata already handles for most other projects). Links to other wikis in the actual page content (such as the examples sections) should not be affected.

Indeed

I had some imput about community (French Wiktionary)
They couldn't find some examples where this feature would be useful, and suggest not to activate it until a relevant example is found.

Lydia_Pintscher closed this task as Resolved.Nov 7 2016, 3:56 PM
Lydia_Pintscher claimed this task.

Decision: We do want it for some areas. Implementation in T149688.